package CelBot::Plugin::LogStderr;

use strict;
use constant PLUGIN_TYPE => "logstderr";

use base qw( CelBot::Plugin::LogBase );

use Date::Format qw( strftime );

sub new
{
   my $class = shift;

   my $self = bless {
   }, $class;

   return $self;
}

sub do_log_really
{
   my $self = shift;
   my ( $subject, $message ) = @_;

   my $timestamp = strftime( "%H:%M:%S", @{[ localtime ]} );

   print STDERR "[$timestamp]: $subject: $message\n";
}

# Keep perl happy, keep Britain tidy
1;
